/* /Components/Image/DragDropImage.razor.rz.scp.css */
div[b-jr4zszkhjx] {
    height: 100%;
    width: 100%;
}

.imageDrop[b-jr4zszkhjx] {
    opacity: 0%;
}

.imageDrop:hover[b-jr4zszkhjx] {
    cursor: pointer;
    border: 4px dashed #004501;
    background: #00ff0d73;
    opacity: 100%;
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-d1tsqu06ti] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-d1tsqu06ti] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-uia1tjjbox],
.components-reconnect-repeated-attempt-visible[b-uia1tjjbox],
.components-reconnect-failed-visible[b-uia1tjjbox],
.components-pause-visible[b-uia1tjjbox],
.components-resume-failed-visible[b-uia1tjjbox],
.components-rejoining-animation[b-uia1tjjbox] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-retrying[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-failed[b-uia1tjjbox],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-uia1tjjbox] {
    display: block;
}


#components-reconnect-modal[b-uia1tjjbox] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-uia1tjjbox 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-uia1tjjbox 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-uia1tjjbox 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-uia1tjjbox]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-uia1tjjbox 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-uia1tjjbox {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-uia1tjjbox {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-uia1tjjbox {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-uia1tjjbox] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-uia1tjjbox] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-uia1tjjbox] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-uia1tjjbox] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-uia1tjjbox] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-uia1tjjbox] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-uia1tjjbox] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-uia1tjjbox 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-uia1tjjbox] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-uia1tjjbox {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Management/AssetPicker.razor.rz.scp.css */
.pickable:hover[b-4p0cbrj0hw] {
    background: #808080;
    cursor: pointer
}
/* /Components/Pages/Session/CharacterDisplay.razor.rz.scp.css */
.characterImageContainer[b-5f9oafzdyw] {
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 80px;
    min-height: 80px;
}

.characterDescriptionContainer[b-5f9oafzdyw] {
    padding: 0;
    align-content: stretch;
    min-height: 60px;
}

.textField[b-5f9oafzdyw] {
    overflow-wrap: anywhere;
    display: block;
    resize: none;
    width: 100%;
    border-left: 1px solid var(--session-dark-green);
    padding: 5px;
    height: 100%;
    font-size: 16px;
}
/* /Components/Pages/Session/EvidenceDisplay.razor.rz.scp.css */
.characterImageContainer[b-31m73nyyqu] {
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 80px;
    min-height: 80px;
}

.characterDescriptionContainer[b-31m73nyyqu] {
    padding: 0;
    align-content: stretch;
    min-height: 60px;
}

.textField[b-31m73nyyqu] {
    overflow-wrap: anywhere;
    display: block;
    resize: none;
    border-left: 1px solid #2f4b1c;
    padding: 5px;
    height: 100%;
    font-size: 16px;
}
/* /Components/Pages/Session/HostSession.razor.rz.scp.css */
.judgePanel[b-gl5vfhseyj] {
    border: 1px solid #646464 !important;
    background-color: #151515 !important;
}

.stenoPanel[b-gl5vfhseyj] {
    border: 1px solid #9b9550 !important;
    background-color: #565230 !important;
}
/* /Components/Pages/Session/PlayerSetup.razor.rz.scp.css */
.htmlInput[b-9zjxyy2kya] {
    display: table;
}

[b-9zjxyy2kya] .htmlInput > div.rz-html-editor {
    height: 80px;
    width: 100%;
    border-radius: 0;
    text-align: center;
    display: table-cell;
    vertical-align: middle;
    cursor: text;
    border: 1px solid var(--border-color);
    border-top: 0;
}

    [b-9zjxyy2kya] .htmlInput > div.rz-html-editor > div.rz-html-editor-content {
        background-color: transparent;
    }

.DefenseLead[b-9zjxyy2kya] {
    --mugshot-input-color: #3733a4;
    --name-input-color: #5984dc;
    --mugshot-text-color: #9193ee;
    --name-text-color: #2e2b78;
    --border-color: #6466db;
}

.DefenseAssistant[b-9zjxyy2kya] {
    --mugshot-input-color: #5b58b5;
    --name-input-color: #7b9ee8;
    --mugshot-text-color: #b3b4f7;
    --name-text-color: #454287;
    --border-color: #6466db;
}

.ProsecutionLead[b-9zjxyy2kya] {
    --mugshot-input-color: #a43333;
    --name-input-color: #dc5959;
    --mugshot-text-color: #ea8383;
    --name-text-color: #782b2b;
    --border-color: #b72222;
}

.ProsecutionAssistant[b-9zjxyy2kya] {
    --mugshot-input-color: #bb5555;
    --name-input-color: #ee7979;
    --mugshot-text-color: #faaaaa;
    --name-text-color: #8e4343;
    --border-color: #b72222;
}

.Judge[b-9zjxyy2kya] {
    --mugshot-input-color: #212121;
    --name-input-color: #767676;
    --mugshot-text-color: #969696;
    --name-text-color: #2c2c2c;
    --border-color: #646464;
}

.Juror[b-9zjxyy2kya] {
    --mugshot-input-color: #c8a313;
    --name-input-color: #e6ce73;
    --mugshot-text-color: #f3e7ba;
    --name-text-color: #a48716;
    --border-color: #9b9550;
}

.Stenographer[b-9zjxyy2kya] {
    --mugshot-input-color: #450b51;
    --name-input-color: #9f57ae;
    --mugshot-text-color: #9f57ae;
    --name-text-color: #450b51;
    --border-color: #9122b7;
}

[b-9zjxyy2kya] .mugshotInput > div.rz-html-editor {
    background-color: var(--mugshot-input-color);
    color: var(--mugshot-text-color);
}

[b-9zjxyy2kya] .nameInput > div.rz-html-editor {
    background-color: var(--name-input-color);
    color: var(--name-text-color);
}
/* /Components/Pages/Session/TestimonyDisplay.razor.rz.scp.css */
.testimonyHeader[b-ez3r0spvzg] {
    background-color: whitesmoke;
    color: #ff3700;
    text-align: center;
    border-top: 1px solid var(--session-dark-gray);
}

.testimonySpeaker[b-ez3r0spvzg] {

}

.testimonyNumber[b-ez3r0spvzg] {
    background-color: var(--session-dark-gray);
    color: var(--session-light-gray);
    width: 40px;
}

.statementContainer[b-ez3r0spvzg] {
    border-top: 1px solid var(--session-dark-green);
}

.statementElement[b-ez3r0spvzg] {
    overflow-wrap: anywhere;
}

.statementNumber[b-ez3r0spvzg] {
    width: 40px;
}
